
Foreman - Bug #27460

hostgroup api response is missing compute_resource

07/29/2019 07:44 AM - Matthias Dellweg

Status: Closed   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases: 1.23.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6937,

https://github.com/theforeman/foreman/p

ull/6940

  

Description

Related to https://projects.theforeman.org/issues/22424

Related issues:

Related to Foreman - Bug #22424: Add compute resource into apipie doc for hos... Closed 01/25/2018

Blocks Hammer CLI - Bug #29140: CR info is missing in host group info command Closed

Associated revisions

Revision bcbc930c - 07/30/2019 09:38 AM - Matthias Dellweg

Fixes #27460 - Add comp_resource to hostgroup api

The api/v2 response of hostgroup was missing informations of the

selected compute resource.

History

#1 - 07/29/2019 08:00 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6937 added

#2 - 07/29/2019 09:36 AM - Evgeni Golov

- Related to Bug #22424: Add compute resource into apipie doc for hostgroup added

#3 - 07/29/2019 11:40 AM - Tomer Brisker

- Category set to API

#4 - 07/30/2019 09:38 AM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#5 - 07/30/2019 09:54 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6940 added

#6 - 07/30/2019 10:01 AM - Matthias Dellweg

- Status changed from Ready For Testing to Closed

Applied in changeset bcbc930cec27c7af1c9f278c9a230175d4375438.

#7 - 07/30/2019 11:00 AM - Tomer Brisker

- Fixed in Releases 1.23.0 added
https://projects.theforeman.org/issues/22424
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/bcbc930cec27c7af1c9f278c9a230175d4375438


- Fixed in Releases deleted (1.24.0)

#8 - 02/24/2020 12:46 PM - Oleh Fedorenko

- Blocks Bug #29140: CR info is missing in host group info command added
